Subject: Re: bug#69737: GSL cannot find CBLAS symbols

From: Richard Sent <[email-masked]>
Date: Tue, 12 Mar 2024 20:14:30 -0400

Hi Artyom,

I found your code ran when I added

--8<---------------cut here---------------start------------->8---
(define libcblas
  ;; Your store path may differ
  (load-foreign-library "/gnu/store/dzx94b3xv4h1ik1bfrbxaw7n84y9r8zz-gsl-2.7.1/lib/libgslcblas.so"
                        #:global? #t))
--8<---------------cut here---------------end--------------->8---

before (define libgsl ...)

> If global? is true, symbols defined by the loaded library will be
> available when other modules need to resolve symbols; the default is
> #f, which keeps symbols local.
https://www.gnu.org/software/guile/manual/html_node/Foreign-Libraries.html

I have not tested if the calculation is correct.

-- 
Take it easy,
Richard Sent
Making my computer weirder one commit at a time.